This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 1204476 - HP dv6-6178sl (Intel i915 and Radeon HD 6730M/6770M/7690M XT) needs acpi_backlight=vendor to be able to manage backlight level using the keyboard
HP dv6-6178sl (Intel i915 and Radeon HD 6730M/6770M/7690M XT) needs acpi_back...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://forum.fedoraonline.it/viewtopi...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-22 09:20 EDT by Germano Massullo
Modified: 2017-01-22 08:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-29 09:34:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
acpi_backlight=vendor-dmesg.log (73.13 KB, text/plain)
2015-03-22 09:22 EDT, Germano Massullo
no flags Details
acpi_backlight=vendor-dmi.log (646 bytes, text/plain)
2015-03-22 09:22 EDT, Germano Massullo
no flags Details
video.use_native_backlight=1-dmesg.log (73.22 KB, text/plain)
2015-03-22 09:22 EDT, Germano Massullo
no flags Details
video.use_native_backlight=1-dmi.log (646 bytes, text/plain)
2015-03-22 09:23 EDT, Germano Massullo
no flags Details

  None (edit)
Description Germano Massullo 2015-03-22 09:20:53 EDT
Description of problem:
HP dv6-6178sl laptop does not change backlight level using keyboard FN buttons.
I followed the Hans De Goede's guide to retrieve debug infos
http://hansdegoede.livejournal.com/13889.html

The kernel boot flag
acpi_backlight=vendor
solves the problem.


I attach a compressed file with
- dmesg
- grep '.*' /sys/class/dmi/id/*_* 2> /dev/null > dmi.log
of all of the following kernel boot flag that have been tried
- video.use_native_backlight=1
- acpi_backlight=vendor



Version-Release number of selected component (if applicable):
3.18.9-200.fc21.x86_64



Additional info:

lspci -k | grep -iA 3 vga
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
	Subsystem: Hewlett-Packard Company Device 3388
	Kernel driver in use: i915
	Kernel modules: i915
--
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Whistler [Radeon HD 6730M/6770M/7690M XT] (rev ff)
	Kernel driver in use: radeon
	Kernel modules: radeon
07:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)

# ls /sys/class/backlight  (with no additional kernel flags)
acpi_video0  acpi_video1  intel_backlight

# ls /sys/class/backlight  (with video.use_native_backlight=1 kernel flag)
acpi_video0  acpi_video1  intel_backlight

# ls /sys/class/backlight  (with acpi_backlight=vendor kernel flag)
intel_backlight


# evemu-record list
Available devices:
/dev/input/event0:	Lid Switch
/dev/input/event1:	Power Button
/dev/input/event2:	Power Button
/dev/input/event3:	AT Translated Set 2 keyboard
/dev/input/event4:	MOSART Semi. 2.4G Wireless Mouse
/dev/input/event5:	SynPS/2 Synaptics TouchPad
/dev/input/event6:	Video Bus
/dev/input/event7:	Video Bus
/dev/input/event8:	HP WMI hotkeys
/dev/input/event9:	ST LIS3LV02DL Accelerometer
/dev/input/event10:	HP TrueVision HD
/dev/input/event11:	HDA Intel PCH Mic
/dev/input/event12:	HDA Intel PCH Front Headphone
/dev/input/event13:	HDA Intel PCH HDMI/DP,pcm=3

Output when pressing backlight buttons
################################
#      Waiting for events      #
################################
E: 0.000000 0001 00e0 0001	# EV_KEY / KEY_BRIGHTNESSDOWN   1
E: 0.000000 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.000008 0001 00e0 0000	# EV_KEY / KEY_BRIGHTNESSDOWN   0
E: 0.000008 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 2.711034 0001 00e1 0001	# EV_KEY / KEY_BRIGHTNESSUP     1
E: 2.711034 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 2.711047 0001 00e1 0000	# EV_KEY / KEY_BRIGHTNESSUP     0
E: 2.711047 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
Comment 1 Germano Massullo 2015-03-22 09:22:04 EDT
Created attachment 1005049 [details]
acpi_backlight=vendor-dmesg.log
Comment 2 Germano Massullo 2015-03-22 09:22:27 EDT
Created attachment 1005050 [details]
acpi_backlight=vendor-dmi.log
Comment 3 Germano Massullo 2015-03-22 09:22:49 EDT
Created attachment 1005051 [details]
video.use_native_backlight=1-dmesg.log
Comment 4 Germano Massullo 2015-03-22 09:23:21 EDT
Created attachment 1005052 [details]
video.use_native_backlight=1-dmi.log
Comment 5 Fedora Kernel Team 2015-04-28 14:28:36 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.
Comment 6 Germano Massullo 2015-09-05 17:44:24 EDT
(In reply to Fedora Kernel Team from comment #5)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 21 kernel bugs.
> 
> Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.
> 
> If you have moved on to Fedora 22, and are still experiencing this issue,
> please change the version to Fedora 22.
> 
> If you experience different issues, please open a new bug report for those.

I can't do the test because I no longer use that machine
Comment 7 Germano Massullo 2015-10-05 16:20:34 EDT
I managed to find out who owns the affected machine. I just wrote him to receive feedback about the bug and to provide new and useful data.
Comment 8 Germano Massullo 2015-11-23 17:44:11 EST
Problem confirmed on Fedora 23
Comment 9 Laura Abbott 2016-09-23 15:19:49 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 10 Laura Abbott 2016-10-26 12:40:58 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 11 Germano Massullo 2016-10-26 13:15:07 EDT
Just asked the machine owner for feedback
Comment 12 Fedora End Of Life 2016-11-24 06:35:45 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Hans de Goede 2016-11-29 09:34:15 EST
I've submitted a patch with a quirk upstream for this. Given that there is little access to testing hardware for this, I'm going to close this with a resolution of upstream.
Comment 14 Germano Massullo 2016-11-29 09:46:29 EST
The machine owner is available to test the patches. I only have to ping him using the "send email" button on fedoraonline.it because it is the only way to get him notified by a forum thread 1,5 years old. He seems to not have forum notifications enabled.
He replied 6 days ago [1], I will ping him again
[1]: http://forum.fedoraonline.it/viewtopic.php?pid=240226#p240226
Comment 15 Hans de Goede 2016-11-30 05:35:37 EST
Hi,

(In reply to Germano Massullo from comment #14)
> The machine owner is available to test the patches. I only have to ping him
> using the "send email" button on fedoraonline.it because it is the only way
> to get him notified by a forum thread 1,5 years old. He seems to not have
> forum notifications enabled.
> He replied 6 days ago [1], I will ping him again
> [1]: http://forum.fedoraonline.it/viewtopic.php?pid=240226#p240226

Ok, can you ask him to test a recent kernel with acpi_backlight=native please ? That is the option I went with for the quirk, as reading this bug-report as well as:

https://bugs.launchpad.net/ubuntu/+source/linux-lts-trusty/+bug/1416940

That seems like the correct fix to me.

Thank you.

Regards,

Hans
Comment 16 Germano Massullo 2017-01-17 17:36:21 EST
(In reply to Hans de Goede from comment #15)
> Ok, can you ask him to test a recent kernel with acpi_backlight=native
> please ?
I just finished testing with the machine owner and we *do* confirm that acpi_backlight=native fixes the problem :-)))
Source http://forum.fedoraonline.it/viewtopic.php?pid=241017#p241017
Comment 17 Hans de Goede 2017-01-22 08:50:20 EST
So I've send a patch adding a DMI based quirk for this upstream, but unfortunately it turns out that it regresses some other dv6 models, it seems that the -6178sl  part of the dv6-6178sl model does not show up in the dmi data, so we cannot distinguish between models with intel / ati / nvidia graphics based on dmi strings and my patch was breaking brightness control on other dv6 models.

So I've send a revert of my patch adding a quirk for the dv6 upstream and dv6 users with the radeon model will have to keep using acpi_backlight=native as workaround I'm afraid.

Note You need to log in before you can comment on or make changes to this bug.